<?php
    function mod_user_player($module_id){
        $inCore = cmsCore::getInstance();
        $inUser = cmsUser::getInstance();

        cmsCore::loadModel('music');
        $model = new cms_model_music();
        
        $musics = $model->getMusPl($inUser->id);
        
        if (empty($musics) || !$inUser->id){
            $model->inDB->orderBy('m.listen', 'desc');
            $model->inDB->limitPage(1, 10);
            
            $musics = $model->getMusic();
        }

        if (empty($musics)){ return false; }

        $pl = array();
        foreach ($musics as $music){
            $pl[] = '{"file":"'. $music['music_url'] .'","comment":"'. str_replace(array('"',"'",'&'),'',$music['singer']) .' - '. str_replace(array('"',"'",'&'),'',$music['name']) .'"}';
        }
        $pl = implode(',', $pl);
        $pl = '{"playlist":['. $pl .']}';

        $pl_file = '/upload/musics/'. $inUser->id .'playlist.txt';
        file_put_contents(PATH . $pl_file, $pl);

        $smarty = $inCore->initSmarty('modules', 'mod_user_player.tpl');
        $smarty->assign('pl_file', $pl_file);
        $smarty->display('mod_user_player.tpl');
        return true;
    }
?>
